using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.VersionControl.Client;

namespace TFSHelpers
{
	public partial class BrowseAreaIteration : Form
	{
		TeamFoundationServer	m_TFS;
		TeamProject				m_TP;
		bool					m_Area;

		public String AreaSelected;

		public BrowseAreaIteration(TeamFoundationServer tfs, TeamProject tp, bool area)
		{
			m_TFS	= tfs;
			m_TP	= tp;
			m_Area	= area;

			InitializeComponent();

			if (!area)
			{
				Text = "Browse for Iteration";
			}

			VersionControlServer	sc  = (VersionControlServer)m_TFS.GetService(typeof(VersionControlServer));
			WorkItemStore			wis = (WorkItemStore)m_TFS.GetService(typeof(WorkItemStore));

			Project proj			= wis.Projects[m_TP.Name];
			TreeNode root			= m_Tree.Nodes.Add(tp.Name);
			foreach(Node node in m_Area ? proj.AreaRootNodes : proj.IterationRootNodes)
			{
				AddTreeNode(node, root.Nodes);
			}
		}

		private void m_Tree_AfterSelect(object sender, TreeViewEventArgs e)
		{
			m_SelItem.Text = e.Node.FullPath;
		}

		private void AddTreeNode (Node node, TreeNodeCollection tnc)
		{
			TreeNode curtn = tnc.Add(node.Name);

			foreach (Node curn in node.ChildNodes)
			{
				AddTreeNode(curn, curtn.Nodes);
			}
		}

		private void BrowseAreaIteration_FormClosing(object sender, FormClosingEventArgs e)
		{


		}
	}
}