using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.VersionControl.Client;

namespace TFSHelpers
{
	public partial class SelectSecurityGroup : Form
	{
		public SelectSecurityGroup(TeamFoundationServer tfs, TeamProject tp, bool showglobal)
		{
			InitializeComponent();

			IGroupSecurityService sec = (IGroupSecurityService)tfs.GetService(typeof(IGroupSecurityService));

			if (showglobal==true)
			{
				Identity[] identities = sec.ListApplicationGroups(null);

				foreach (Identity cur in identities)
				{
					GroupList.Items.Add(string.Format("[SERVER]\\{0}", cur.DisplayName));
				}
			}

			if (tp!=null)
			{
				Identity[] identities = sec.ListApplicationGroups(tp.ArtifactUri.AbsoluteUri);

				foreach (Identity cur in identities)
				{
					GroupList.Items.Add(string.Format("[{0}]\\{1}", tp.Name, cur.DisplayName));
				}
			}
		}

		public string SelectedGroup
		{
			get
			{
				return (string)GroupList.SelectedItem;
			}
		}

	}
}