using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Controls;
using TFSHelpers;

namespace WICreator
{
	public partial class BranchesComparisonSettingsForm : Form
	{
		MainForm m_Owner = null;
		TeamFoundationServer m_TFS = null;
		WorkItemStore m_WIS = null;
		VersionControlServer m_SC = null;

		public BranchesComparisonSettingsForm(MainForm owner, TeamFoundationServer tfs)
		{
			m_Owner = owner;
			m_TFS = tfs;
			m_SC = m_TFS.GetService(typeof(VersionControlServer)) as VersionControlServer;
			m_WIS = m_TFS.GetService(typeof(WorkItemStore)) as WorkItemStore;

			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			BrowseSCItem scitemform = new BrowseSCItem(m_SC);
			if (scitemform.ShowDialog() != DialogResult.OK)
			{
				return;
			}

			try
			{
				BranchHistoryTreeItem[][] bh = m_SC.GetBranchHistory(new ItemSpec[] { new ItemSpec(scitemform.m_SelectedPath, RecursionType.OneLevel) }, VersionSpec.Latest);
				BranchesList.Items.Clear();

				ListViewItem lvi = BranchesList.Items.Add(scitemform.m_SelectedPath, scitemform.m_SelectedPath, 0);
				lvi.Checked = true;

				foreach (BranchHistoryTreeItem _Item in bh[0][0].Children)
				{
					if ((_Item.Relative.BranchToItem.DeletionId==0) && (BranchesList.Items.ContainsKey(_Item.Relative.BranchToItem.ServerItem)==false))
					{
						lvi = BranchesList.Items.Add(_Item.Relative.BranchToItem.ServerItem, _Item.Relative.BranchToItem.ServerItem, 0);
						lvi.Checked = true;
					}
				}
			}
			catch (Exception)
			{
				DisplayBtn.Enabled = false;
				return;
			}
			DisplayBtn.Enabled = true;
		}
	}
}