using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Controls;

namespace WICreator
{
	public partial class ChangesetsToMerge : Form
	{
		VersionControlServer				m_SC				= null;
		SortedDictionary<int, WorkItem>		m_MergeList;

		public ChangesetsToMerge(VersionControlServer sc, ref SortedDictionary<int, WorkItem> mergelist)
		{
			InitializeComponent();
			m_MergeList = mergelist;
			m_SC = sc;
		}

		private void ChangesetsToMerge_Load(object sender, EventArgs e)
		{
			CSList.BeginUpdate();
			foreach(KeyValuePair<int, WorkItem> kvp in m_MergeList)
			{
				Changeset cs = m_SC.GetChangeset(kvp.Key);
				string comment = cs.Comment.Replace('\r', ' ').Replace('\n',' ');
				ListViewItem lvi = new ListViewItem(new string[]{kvp.Key.ToString(), comment, cs.CreationDate.ToShortDateString()});
				lvi.Checked = true;
				lvi.Tag = kvp.Key;
				CSList.Items.Add(lvi);
			}
			CSList.EndUpdate();
		}

		private void ChangesetsToMerge_FormClosed(object sender, FormClosedEventArgs e)
		{
			if (DialogResult != DialogResult.OK)
			{
				return;
			}

			foreach(ListViewItem lvi in CSList.Items)
			{
				if (lvi.Checked == false)
				{
					m_MergeList.Remove((int)lvi.Tag);
				}
			}
		}
	}
}