using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Xml;
using System.Net;
using System.Windows.Forms;
using WICreator.Properties;

namespace WICreator
{
	/// <summary>
	/// Team Foundation Server selection Form
	/// </summary>
	public partial class SelectServer : Form
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public SelectServer()
		{
			InitializeComponent();
		}

		private void URLChanged(object sender, EventArgs e)
		{
		}

		private void SelectServer_Shown(object sender, EventArgs e)
		{
			Settings s = Settings.Default;
			m_URL.Text = s.XmlConfig;

			m_Select.Enabled = CheckURL(m_URL.Text);
		}

		/// <summary>
		/// Check if the given URL point to a Web Location that manages the NetWorkModel
		/// </summary>
		/// <param name="url">URL to check</param>
		/// <returns>Success flag</returns>
		static public bool CheckURL(String url)
		{
			url = url + @"/NetworkModels.xml";

			// We load the supposed configuration file located on the given URL
			try
			{
				XmlDocument docmodel	 = null;
				WebRequest request		 = WebRequest.Create(url);
				request.Credentials		 = CredentialCache.DefaultCredentials;
				HttpWebResponse response = (HttpWebResponse)request.GetResponse();

				docmodel = new XmlDocument();
				docmodel.Load(response.GetResponseStream());

				XmlElement root = docmodel.SelectSingleNode("/WIModel") as XmlElement;
				return root != null;
			} catch (Exception)
			{
				return false;
			}
		}

		private void m_Refresh_Click(object sender, EventArgs e)
		{
			m_Select.Enabled = CheckURL(m_URL.Text);
		}
	}
}