using System;
using System.Net;
using System.Diagnostics;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml;
using System.Xml.Serialization;
using CegWIManager;

/// <summary>
/// This service listen to the Checkin-events from TFS and runs the build
/// after it matches Team Project name from the Web.Config file. 
/// </summary>
[WebService(Namespace = "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class Service : System.Web.Services.WebService
{
	[SoapDocumentMethod("http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03/Notify", RequestNamespace = "http://schemas.microsoft.com/TeamFoundation/2005/06/Services/Notification/03")]
	[WebMethod]
	public void Notify(string eventXml)     // Do not change the names of these parameters
	{
		String		xmodelunc	= this.Server.MapPath(@"~/NetworkModels.xml");
		XmlDocument docmodel	= null;

		// Load the configuration file
		try
		{
			docmodel = new XmlDocument();
			docmodel.Load(xmodelunc);
		}
		catch (Exception)
		{
			return;
		}

		// Create a new handler for that request, and process it...
		WINotifyHandler handler = new WINotifyHandler(docmodel);
		if (!handler.ProcessWIChangedAlert(eventXml))
		{

		}

	}
}

